Skip to main content
POST
/
datasets
/
v3
/
scrape
curl --request POST \
  --url 'https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_lvz8ah06191smkebj4&include_errors=true' \
  --header "Authorization: Bearer YOUR_API_KEY" \
  --header "Content-Type: application/json" \
  --data '{"input": [{"url": "https://www.reddit.com/r/learnpython/comments/1asdf12/how_do_i_start_learning_python/"}, {"url": "https://www.reddit.com/r/python/comments/1bsdf34/"}]}'
[
  {
    "post_id": "1asdf12",
    "url": "https://www.reddit.com/r/learnpython/comments/1asdf12/how_do_i_start_learning_python/",
    "user_posted": "example_user",
    "title": "How do I start learning Python?",
    "description": "I'm a complete beginner...",
    "num_upvotes": 1240,
    "num_comments": 86,
    "date_posted": "2026-03-14T18:22:00Z",
    "tag": "Tutorial",
    "community_name": "learnpython",
    "community_url": "https://www.reddit.com/r/learnpython",
    "community_description": "Subreddit for posting questions and asking for general advice about your Python code.",
    "community_members_num": 1120000,
    "community_rank": null,
    "related_posts": [],
    "comments": [],
    "photos": [],
    "videos": []
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.brightdata.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

dataset_id
string
default:"gd_lvz8ah06191smkebj4"
required
The dataset ID used for this request.
Must be set to gd_lvz8ah06191smkebj4 to collect Posts by URL data.
notify
boolean
default:false
Whether to send notifications when the request is completed.
include_errors
boolean
default:true
Whether to include errors in the response.

Request Body

input
object[]
required
An array of input objects.

Example

{
  "input": [
    {"url": "https://www.reddit.com/r/learnpython/comments/1asdf12/how_do_i_start_learning_python/"},
    {"url": "https://www.reddit.com/r/python/comments/1bsdf34/"}
  ]
}
[
  {
    "post_id": "1asdf12",
    "url": "https://www.reddit.com/r/learnpython/comments/1asdf12/how_do_i_start_learning_python/",
    "user_posted": "example_user",
    "title": "How do I start learning Python?",
    "description": "I'm a complete beginner...",
    "num_upvotes": 1240,
    "num_comments": 86,
    "date_posted": "2026-03-14T18:22:00Z",
    "tag": "Tutorial",
    "community_name": "learnpython",
    "community_url": "https://www.reddit.com/r/learnpython",
    "community_description": "Subreddit for posting questions and asking for general advice about your Python code.",
    "community_members_num": 1120000,
    "community_rank": null,
    "related_posts": [],
    "comments": [],
    "photos": [],
    "videos": []
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

dataset_id
string
default:gd_lvz8ah06191smkebj4
required

Must be gd_lvz8ah06191smkebj4 for this dataset.

notify
boolean
default:false

Send notifications when the request is completed.

include_errors
boolean
default:true

Include errors in the response.

Body

application/json
input
object[]
required

Array of input objects. See Request Body below for the supported fields.

Response

200 - application/json

OK. See response example below the parameters.